import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
export var mockSideEffects = function mockSideEffects(buffer, sideEffects) {
  if (sideEffects != null) {
    return Object.keys(sideEffects).reduce(function (mock, name) {
      mock[name] = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
        var _len,
            args,
            _key,
            _args = arguments;

        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                for (_len = _args.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
                  args[_key] = _args[_key];
                }

                args.pop(); // remove context provided by saga

                buffer.sideEffects.push([name].concat(args));

              case 3:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return mock;
    }, {});
  }

  return null;
};
//# sourceMappingURL=mock-side-effects.js.map